## liquidsoap 0.9.3

=== debian/changelog ===
liquidsoap (0.9.3-3) unstable; urgency=low

  * Upload to unstable.
  * Enabled faad support now that is is in unstable!
  * Droped patch to add -lstdc++: should be fixed in each
    corresponding binding.
  * Added patch to support new ocaml-faad API.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 14 Apr 2011 13:56:17 -0500

liquidsoap (0.9.3-2) experimental; urgency=low

  * Added patch to enable build in non-custom mode.

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 28 Sep 2010 13:46:47 -0500

liquidsoap (0.9.3-1) experimental; urgency=low

  * New upstream release.
  * Droped quilt patches: no patches needed!
  * Upload to experimental now that sid is frozen.
  * Bumped standards version to 3.9.1
  * Bumped build-dep version to match latest bindings'
    releases.
  * Changed source format to 3.0 (quilt).

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 04 Sep 2010 14:59:12 -0500

liquidsoap (0.9.2-3) unstable; urgency=low

  * Fixed ogg theora default parameters.
  Closes: #577076
  * Fixed input.lastfm

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 12 Apr 2010 04:06:59 +0200

liquidsoap (0.9.2-2) unstable; urgency=low

  * Patched liquidsoap to build against ocaml-theora 0.2.0~svn6618
  Closes: #574628
  * Fixed SDL output code, added libsdl-ocaml-dev in build-dep to
    enable SDL output.
  Closes: #574625
  * Added a patch to allow Magic file detection to follow symlinks.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 25 Mar 2010 11:45:29 -0500

liquidsoap (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Build against the latest ocaml-lastfm API.
  Closes: #551245
  * Ship upstream's version of the init script
    with correct dependencies.
  Closes: #541635
  * Bumped standards version to 3.8.3
  * Versioned ocaml build dependencies.
  * Add ocaml.mk support with new automatic dependency
    tracking.
  * Added patch to drop portaudio in in() definition
  * Added patch to switch mp3gain and vorbisgain to
    quiet mode.

 -- Romain Beauxis <toots@rastageeks.org>  Fri, 30 Oct 2009 12:18:05 -0500

liquidsoap (0.9.1-1) unstable; urgency=low

  * New Upstream Version
  * Dropped patch applied upstream.
  * Thightened build-deps on ocaml-duppy and
    ocaml-taglib to build against the fixed packages.
  * Updated standards version to 3.8.2

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 22 Jun 2009 18:42:50 +0200

liquidsoap (0.9.0-4) unstable; urgency=low

  * Added patch from upstream:
    o Fix task end for queued sources.
    o Fix append operator.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 11 Jun 2009 02:18:50 +0200

liquidsoap (0.9.0-3) unstable; urgency=low

  * Fixed math.h usage in src/rgb_c.c
  * Rebuild against fixed modules.
  Closes: #528857

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 19 May 2009 22:40:22 +1100

liquidsoap (0.9.0-2) unstable; urgency=low

  * Enabled new bindings.
  * Added suggests on mplayer.
  * Fixed clean target.

 -- Romain Beauxis <toots@rastageeks.org>  Sun, 10 May 2009 04:38:38 +0200

liquidsoap (0.9.0-1) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git.

  [ Samuel Mimram ]
  * Build with OCaml 3.11.
  * Update compat to 7.

  [ Romain Beauxis ]
  * New Upstream Version.
  * Build and upload against current
    modules. Will re-upload when new modules
    are accepted.
  * Dropped patch applied upstream.
  * Create /var/run/liquidsoap at runtime.

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 02 Apr 2009 11:48:34 +0200

liquidsoap (0.3.8.1+2-2) unstable; urgency=high

  * Fix liguidsoap temporary file name.
    Thanks to Tobias Klauser for providing a patch.
  Closes: #496360
  * Desactivated portaudio option since it is buggy
    and should be more tested.

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2008 14:36:31 +0200

liquidsoap (0.3.8.1+2-1) unstable; urgency=low

  * There was a mistake with previous source tarball.
    Reuploading a fixed one

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 11 Aug 2008 14:30:45 +0200

liquidsoap (0.3.8.1-1) unstable; urgency=low

  * New upstream release fixing several issues
    in smart_crossfade

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 09 Aug 2008 17:52:53 +0200

liquidsoap (0.3.8-1) unstable; urgency=low

  * New upstream release
  * Dropped patch applied upstream
  * Versioned build-dep on ocaml-duppy to build against the fixed
    version
  Closes: #489702

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 30 Jul 2008 09:46:23 +0200

liquidsoap (0.3.7-3) unstable; urgency=low

  * Rebuild against fixed ocaml-bjack
  * Bumped build-dep version for ocaml-bjack
  * Dropped patch for task leak in request_source.ml
  * Updated patch for array length in playlist.next

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 Jun 2008 12:01:27 +0200

liquidsoap (0.3.7-2) unstable; urgency=low

  * Created /usr/share/liquidsoap directory, needed for
    liguidsoap.
  * Install logrotate file
  * Backported several fixes from upstream:
    + Fix vorbis mono output
    + Fix parameter order in documentation
    + Fix add_timeout delay propagation
    + Fix inter-thread mutex lock in playlist.ml
    + Fix task leak in request_source.ml
    + Fix array length in playlist.next
  * Enabled ocaml-bjack support

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 12 Jun 2008 13:47:16 +0200

liquidsoap (0.3.7-1) unstable; urgency=low

  * New upstream release
  * Switched maintainer to the debian ocaml team
  * Dropped patches applied upstream
  * Removed ocaml-alsa build-dep for non-linux archs

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 28 May 2008 21:25:41 -0400

liquidsoap (0.3.6-4) unstable; urgency=high

  * Updated fix for smartcross
  * Still setting urgency to high since testing package is
    still broken..

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 04 Mar 2008 03:42:50 +0100

liquidsoap (0.3.6-3) unstable; urgency=high

  * Backported patch to fix smart_crossfading
  * Setting urgency to high since previous upload

