=== debian/control ===
Source: liquidsoap
Section: sound
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Romain Beauxis <toots@rastageeks.org>, Samuel Mimram <smimram@debian.org>
Build-Depends:
 cdbs (>= 0.4.53),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9),
 ocaml-findlib,
 libcry-ocaml-dev (>= 0.1.5),
 libogg-ocaml-dev (>= 0.4.1),
 libvorbis-ocaml-dev (>= 0.5.1-2),
 libmad-ocaml-dev (>= 0.4.0),
 libdtools-ocaml-dev (>= 0.2.1),
 libtaglib-ocaml-dev (>= 0.1.3),
 libcamomile-ocaml-dev,
 festival,
 libxml-dom-perl,
 python-gtk2-dev,
 python,
 python-support (>= 0.3),
 libao-ocaml-dev (>= 0.2.0),
 libduppy-ocaml-dev (>= 0.3.2),
 libalsa-ocaml-dev (>= 0.2.0) [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64],
 libpcre-ocaml-dev,
 libladspa-ocaml-dev (>= 0.1.2),
 sox,
 libsoundtouch-ocaml-dev (>= 0.1.5),
 liblastfm-ocaml-dev (>= 0.2.0),
 libspeex-ocaml-dev (>= 0.1.2-2),
 libgavl-ocaml-dev (>= 0.1.3),
 libtheora-ocaml-dev (>= 0.2.0-3),
 libportaudio-ocaml-dev (>= 0.1.3),
 libpulse-ocaml-dev (>= 0.1.1),
 libsamplerate-ocaml-dev (>= 0.1.1),
 libxmlplaylist-ocaml-dev (>= 0.1.2),
 libmagic-ocaml-dev (>= 0.3.6),
 libbjack-ocaml-dev (>= 0.1.3),
 libsdl-ocaml-dev,
 libfaad-ocaml-dev
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
Homepage: http://savonet.sourceforge.net/

Package: liquidsoap
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends},
 ${perl:Depends},
 libcamomile-ocaml-data,
 wget,
 sox,
 adduser
Recommends: logrotate, mp3gain, vorbisgain, vorbis-tools
Suggests: icecast2, festival, mplayer, liguidsoap, faad, flac
Description: audio streaming language
 Liquidsoap is a powerful tool for building complex audio streaming systems,
 typically targeting internet radios (e.g. icecast streams).
 .
 It consists of a simple script language, in which you can create, combine and
 transform audio sources. Its design makes liquidsoap flexible and easily
 extensible.
 .
 Some of the typical uses are:
  * dynamically generating playlists depending on the time or other factors
  * having smooth transitions between songs
  * adding jingles periodically
  * applying effects on the sound like volume normalization
  * reencoding the stream at various qualities
  * remotely controlling the stream

Package: liguidsoap
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2
Recommends: liquidsoap (= ${binary:Version})
Description: control GUI for liquidsoap
 Liguidsoap is a GUI for controlling liquidsoap, using pyGTK.
 .
 It allows one to interact in various ways with:
  * outputs
  * playlists
  * queues
  * mixing table
 .
 It can control a running instance of liquidsoap or launch its own instance.
