=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --disable-gl --disable-graphics --disable-lame
DEB_MAKE_BUILD_TARGET := all doc
DEB_MAKE_INSTALL_TARGET := doc install DESTDIR=$(CURDIR)/debian/tmp/ DEBIAN=yes prefix=$(CURDIR)/debian/tmp/usr sysconfdir=$(CURDIR)/debian/tmp/etc
DEB_INSTALL_MANPAGES_liquidsoap := doc/liquidsoap.1
DEB_COMPRESS_EXCLUDE := .pdf

#DEB_DH_STRIP_ARGS := --exclude=liquidsoap --exclude=liquidtts

makebuilddir/liquidsoap::
	[ ! -f src/configure.ml ] || [ -f src/configure.ml.cdbs-backup ] || \
	cp -f src/configure.ml src/configure.ml.cdbs-backup

install/liquidsoap::
	cp $(CURDIR)/scripts/liquidsoap.initd $(CURDIR)/debian/liquidsoap.init

binary-install/liquidsoap::
	make doc
	mv $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq.example
	chmod +x $(CURDIR)/debian/liquidsoap/etc/liquidsoap/radio.liq.example
	chmod -x $(CURDIR)/debian/liquidsoap/usr/share/doc/liquidsoap/examples/*.liq
	[ ! -f $(CURDIR)/src/dllliquidsoap.so ] || \
	  (mkdir -p $(CURDIR)/debian/liquidsoap$(OCAML_DLL_DIR); \
	   cp $(CURDIR)/src/dllliquidsoap.so $(CURDIR)/debian/liquidsoap$(OCAML_DLL_DIR))

binary-install/liguidsoap::
	sed -e s#/usr/lib/python.*/site-packages/liquidsoap#/var/lib/liguidsoap#g -i $(CURDIR)/debian/liguidsoap/usr/bin/liguidsoap
	dh_pysupport /var/lib/liguidsoap

cleanbuilddir/liquidsoap::
	[ -f src/configure.ml.cdbs-backup ] || [ ! -f src/configure.ml ] || \
	cp -f src/configure.ml src/configure.ml.cdbs-backup

clean::
	rm -rf src/liquidsoap src/META radio.liq.example \
	       src/SVN.ml src/io/liquidsoap_depend autodoc \
	       doc/manual debian/liquidsoap.init src/dllliquidsoap.so \
	       src/libliquidsoap.a
	[ ! -f src/configure.ml.cdbs-backup ] || mv -f src/configure.ml.cdbs-backup src/configure.ml
