## liquidsoap 1.0.0~beta1

=== Makefile ===
--- 
+++ 
@@ -26,6 +26,7 @@
 
 finish-configure:
 	@echo Creating src/configure.ml
+ifneq ($(OS_TYPE),Win32)
 	@echo let tts_program = \"$(libdir)/liquidsoap/$(libs_dir_version)/liquidtts\" >> src/configure.ml
 	@echo let rundir = \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let logdir = \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
@@ -33,6 +34,15 @@
 	@echo let display_types = ref false >> src/configure.ml
 	@echo let \(\) = add_subst \"\<sysrundir\>\" \"$(localstatedir)/run/liquidsoap\" >> src/configure.ml
 	@echo let \(\) = add_subst \"\<syslogdir\>\" \"$(localstatedir)/log/liquidsoap\" >> src/configure.ml
+else
+	@echo let tts_program = \"liquidtts\" >> src/configure.ml
+	@echo let rundir = \"run\" >> src/configure.ml
+	@echo let logdir = \"logs\" >> src/configure.ml
+	@echo let libs_dir = \"libs\" >> src/configure.ml
+	@echo let \(\) = add_subst \"\<sysrundir\>\" \".\" >> src/configure.ml
+	@echo let \(\) = add_subst \"\<syslogdir\>\" \".\" >> src/configure.ml
+endif
+	@echo let display_types = ref false >> src/configure.ml
 	@echo "(* Enable backtrace printing if possible, does nothing on ocaml<3.11 *)" >> src/configure.ml
 	@echo "let record_backtrace _ = ()" >> src/configure.ml
 	@echo "open Printexc" >> src/configure.ml
@@ -66,7 +76,10 @@
 	$(INSTALL_DIRECTORY) $(libdir)/liquidsoap/$(libs_dir_version)
 	$(INSTALL_PROGRAM) scripts/liquidtts $(libdir)/liquidsoap/$(libs_dir_version)
 	$(INSTALL_PROGRAM) scripts/extract-replaygain $(libdir)/liquidsoap/$(libs_dir_version)
-	$(INSTALL_DATA) scripts/utils.liq $(libdir)/liquidsoap/$(libs_dir_version)
+	for l in externals.liq lastfm.liq utils.liq shoutcast.liq pervasives.liq ; \
+	do \
+	  $(INSTALL_DATA) scripts/$$l $(libdir)/liquidsoap/$(libs_dir_version) ; \
+	done
 	$(INSTALL_DIRECTORY) ${sysconfdir}/liquidsoap
 	$(INSTALL_DATA) examples/radio.liq \
 	  ${sysconfdir}/liquidsoap/radio.liq.example
