=== src/lang/Makefile ===

lang_types.cmo: lang_types.ml
	ocamlc -c lang_types.ml

DISTFILES = $(wildcard *.ml*) $(wildcard *.mli) Makefile
top_srcdir=../..
include $(top_srcdir)/Makefile.rules
