=== debian/changelog ===
liquidsoap (1.0.0~beta1-2) unstable; urgency=low

  * Fixed bytecode compilation in non-custom mode. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 19 May 2011 15:47:18 -0500

liquidsoap (1.0.0~beta1-1) unstable; urgency=low

  [ Samuel Mimram ]
  * New upstream release.

  [ Romain Beauxis ]
  * Bumped standard version to 3.9.3 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 17 May 2011 11:18:21 -0500
