=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libcry-ocaml-dev (>= 0.1.5),
  libogg-ocaml-dev (>= 0.4.1),
  libvorbis-ocaml-dev (>= 0.5.1-2),
- libmad-ocaml-dev (>= 0.4.0),
+ libmad-ocaml-dev (>= 0.4.1),
  libdtools-ocaml-dev (>= 0.2.1),
  libtaglib-ocaml-dev (>= 0.1.3),
  libcamomile-ocaml-dev,
@@ -24,14 +24,14 @@
  python-support (>= 0.3),
  libao-ocaml-dev (>= 0.2.0),
  libduppy-ocaml-dev (>= 0.3.2),
- libalsa-ocaml-dev (>= 0.2.0) [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64],
+ libalsa-ocaml-dev (>= 0.2.1) [!kfreebsd-i386 !hurd-i386 !kfreebsd-amd64],
  libpcre-ocaml-dev,
  libladspa-ocaml-dev (>= 0.1.2),
  sox,
  libsoundtouch-ocaml-dev (>= 0.1.5),
- liblastfm-ocaml-dev (>= 0.2.0),
+ liblastfm-ocaml-dev (>= 0.3.0),
  libspeex-ocaml-dev (>= 0.1.2-2),
- libgavl-ocaml-dev (>= 0.1.3),
+ libgavl-ocaml-dev (>= 0.1.4),
  libtheora-ocaml-dev (>= 0.2.0-3),
  libportaudio-ocaml-dev (>= 0.1.3),
  libpulse-ocaml-dev (>= 0.1.1),
@@ -41,7 +41,7 @@
  libbjack-ocaml-dev (>= 0.1.3),
  libsdl-ocaml-dev,
  libfaad-ocaml-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/liquidsoap.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/liquidsoap.git
 Homepage: http://savonet.sourceforge.net/
